import MHeader from '@/components/m-header';
import request from '@/helpers/request';
import { browser } from '@/helpers/utils';
import { state } from '@/state';
import { defineComponent } from 'vue';
import styles from './index.module.less';

// 预览协议 - 原生实名认证使用
export default defineComponent({
  name: 'preview-protocol',
  data() {
    return {
      protocolHTML: '' as any
    };
  },
  async mounted() {
    let type = 'REGISTER';

    try {
      // 判断是否有协议内容
      if (!this.protocolHTML) {
        const { data } = await request.get(
          '/edu-app/open/userContractRecord/queryLatestContractTemplate',
          {
            params: {
              contractType: type || 'REGISTER'
            }
          }
        );
        this.protocolHTML = data.contractTemplateContent || '';
      }
    } catch {
      //
    }
  },
  render() {
    return (
      <div id="mProtocol">
        {browser().isApp && <MHeader />}
        <div
          class={[
            styles.mProtocol,
            this.$route.query.type ? styles[this.$route.query.type as any] : ''
          ]}
          v-html={this.protocolHTML}></div>
      </div>
    );
  }
});
